> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Thread Run Ids

> Get all available run IDs for a thread.

Requires READ permission on ANALYSIS resources.



## OpenAPI

````yaml https://analyst.heyhumm.ai/api/openapi.json get /feedback/thread/{thread_id}/run-ids
openapi: 3.1.0
info:
  title: Analyst API
  description: API for the Analyst service with proper organization-scoped permissions
  version: 1.0.0
servers:
  - url: https://analyst.heyhumm.ai
security: []
paths:
  /feedback/thread/{thread_id}/run-ids:
    get:
      tags:
        - feedback
      summary: Get Thread Run Ids
      description: |-
        Get all available run IDs for a thread.

        Requires READ permission on ANALYSIS resources.
      operationId: get_thread_run_ids_feedback_thread__thread_id__run_ids_get
      parameters:
        - name: thread_id
          in: path
          required: true
          schema:
            type: string
            description: Thread ID
            title: Thread Id
          description: Thread ID
        - name: organization_id
          in: query
          required: true
          schema:
            type: string
            title: Organization Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
                title: >-
                  Response Get Thread Run Ids Feedback Thread  Thread Id  Run
                  Ids Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````